//[passport](../../../index.md)/[com.yandex.auth](../index.md)/[LegacyAccountType](index.md)

# LegacyAccountType

[passport]\
class [LegacyAccountType](index.md)

## Functions

| Name | Summary |
|---|---|
| [from](from.md) | [passport]<br>open fun [from](from.md)(@Nullablestring: String): Int |
| [toString](to-string.md) | [passport]<br>@NonNull<br>open fun [toString](to-string.md)(integer: Int): String |

## Properties

| Name | Summary |
|---|---|
| [STRING_LOGIN](-s-t-r-i-n-g_-l-o-g-i-n.md) | [passport]<br>val [STRING_LOGIN](-s-t-r-i-n-g_-l-o-g-i-n.md): String |
| [STRING_MAILISH](-s-t-r-i-n-g_-m-a-i-l-i-s-h.md) | [passport]<br>val [STRING_MAILISH](-s-t-r-i-n-g_-m-a-i-l-i-s-h.md): String |
| [STRING_PHONISH](-s-t-r-i-n-g_-p-h-o-n-i-s-h.md) | [passport]<br>val [STRING_PHONISH](-s-t-r-i-n-g_-p-h-o-n-i-s-h.md): String |
| [STRING_SOCIAL](-s-t-r-i-n-g_-s-o-c-i-a-l.md) | [passport]<br>val [STRING_SOCIAL](-s-t-r-i-n-g_-s-o-c-i-a-l.md): String |
| [STRING_TEAM](-s-t-r-i-n-g_-t-e-a-m.md) | [passport]<br>val [STRING_TEAM](-s-t-r-i-n-g_-t-e-a-m.md): String |
| [TEAM](-t-e-a-m.md) | [passport]<br>val [TEAM](-t-e-a-m.md): Int |
